/[packages]/cauldron/gstreamer1.0-plugins-bad/current/SOURCES/gst-plugins-bad-1.2.4-mga-opencv-2.4.9.patch
ViewVC logotype

Contents of /cauldron/gstreamer1.0-plugins-bad/current/SOURCES/gst-plugins-bad-1.2.4-mga-opencv-2.4.9.patch

Parent Directory Parent Directory | Revision Log Revision Log


Revision 621813 - (show annotations) (download)
Sat May 10 14:42:38 2014 UTC (5 years, 8 months ago) by akien
File size: 2668 byte(s)
- Fix build with opencv 2.4.9
- Downgrade release since previous builds failed (SILENT)

1 Index: gst-plugins-bad-1.2.4/configure
2 ===================================================================
3 --- gst-plugins-bad-1.2.4/configure
4 +++ gst-plugins-bad-1.2.4/configure 2014-05-10 16:36:27.683909180 +0200
5 @@ -42317,12 +42317,12 @@
6 pkg_cv_OPENCV_CFLAGS="$OPENCV_CFLAGS"
7 else
8 if test -n "$PKG_CONFIG" && \
9 - { { $as_echo "$as_me:${as_lineno-$LINENO}: \$PKG_CONFIG --exists --print-errors \"opencv >= 2.0.0 opencv <= 2.4.8 \""; } >&5
10 - ($PKG_CONFIG --exists --print-errors "opencv >= 2.0.0 opencv <= 2.4.8 ") 2>&5
11 + { { $as_echo "$as_me:${as_lineno-$LINENO}: \$PKG_CONFIG --exists --print-errors \"opencv >= 2.0.0 opencv <= 2.4.9 \""; } >&5
12 + ($PKG_CONFIG --exists --print-errors "opencv >= 2.0.0 opencv <= 2.4.9 ") 2>&5
13 ac_status=$?
14 $as_echo "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
15 test $ac_status = 0; }; then
16 - pkg_cv_OPENCV_CFLAGS=`$PKG_CONFIG --cflags "opencv >= 2.0.0 opencv <= 2.4.8 " 2>/dev/null`
17 + pkg_cv_OPENCV_CFLAGS=`$PKG_CONFIG --cflags "opencv >= 2.0.0 opencv <= 2.4.9 " 2>/dev/null`
18 else
19 pkg_failed=yes
20 fi
21 @@ -42335,12 +42335,12 @@
22 pkg_cv_OPENCV_LIBS="$OPENCV_LIBS"
23 else
24 if test -n "$PKG_CONFIG" && \
25 - { { $as_echo "$as_me:${as_lineno-$LINENO}: \$PKG_CONFIG --exists --print-errors \"opencv >= 2.0.0 opencv <= 2.4.8 \""; } >&5
26 - ($PKG_CONFIG --exists --print-errors "opencv >= 2.0.0 opencv <= 2.4.8 ") 2>&5
27 + { { $as_echo "$as_me:${as_lineno-$LINENO}: \$PKG_CONFIG --exists --print-errors \"opencv >= 2.0.0 opencv <= 2.4.9 \""; } >&5
28 + ($PKG_CONFIG --exists --print-errors "opencv >= 2.0.0 opencv <= 2.4.9 ") 2>&5
29 ac_status=$?
30 $as_echo "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
31 test $ac_status = 0; }; then
32 - pkg_cv_OPENCV_LIBS=`$PKG_CONFIG --libs "opencv >= 2.0.0 opencv <= 2.4.8 " 2>/dev/null`
33 + pkg_cv_OPENCV_LIBS=`$PKG_CONFIG --libs "opencv >= 2.0.0 opencv <= 2.4.9 " 2>/dev/null`
34 else
35 pkg_failed=yes
36 fi
37 @@ -42359,9 +42359,9 @@
38 _pkg_short_errors_supported=no
39 fi
40 if test $_pkg_short_errors_supported = yes; then
41 - OPENCV_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "opencv >= 2.0.0 opencv <= 2.4.8 "`
42 + OPENCV_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "opencv >= 2.0.0 opencv <= 2.4.9 "`
43 else
44 - OPENCV_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "opencv >= 2.0.0 opencv <= 2.4.8 "`
45 + OPENCV_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "opencv >= 2.0.0 opencv <= 2.4.9 "`
46 fi
47 # Put the nasty error message in config.log where it belongs
48 echo "$OPENCV_PKG_ERRORS" >&5

  ViewVC Help
Powered by ViewVC 1.1.26